import request from '@/utils/request'

// 采购需求单列表
export function getDemandList(data) {
  return request({
    url: `/pu/demand/list?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
    method: 'post',
    data: data
  })
}
// 采购需求单新增
export function addDemand(data) {
  return request({
    url: `/pu/demand/add`,
    method: 'post',
    data: data
  })
}
// 采购需求单基本信息详情
export function getDemandDetail(id) {
  return request({
    url: `/pu/demand/detail/${id}`,
    method: 'get',
  })
}
// 采购需求单基本子表详情
export function getDemandSonDetail(data) {
  return request({
    url: `/pu/demand/item/list/${data.id}?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
    method: 'post',
    data: data
  })
}